SDL_GetAtomicPointer(3)

NAME
SDL_GetAtomicPointer - Get the value of a pointer atomically.

SYNOPSIS
#include <SDL3/SDL_atomic.h>

void * SDL_GetAtomicPointer(void **a);

DESCRIPTION

Note: If you don't know what this function is for, you shouldn't use it!

FUNCTION PARAMETERS

a   a pointer to a pointer.

RETURN VALUE
Returns the current value of a pointer.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_CompareAndSwapAtomicPointer(3), SDL_SetAtomicPointer(3)